Name:           basex
Version:        7.7
Release:        7.1%{?dist}
Summary:        XML database and XPath/XQuery processor

Group:          Productivity/Databases/Tools
License:        BSD-3-clause
URL:            http://basex.org
Source0:        %{name}-%{version}.tar.gz
Source1:        man/basex.1
Source2:        man/basexclient.1
Source3:        man/basexserver.1
Source4:        man/basexgui.1
Source5:        images/BaseX_16px.png
Source6:        images/BaseX_32px.png
Source7:        images/BaseX_48px.png
Source8:        images/BaseX_64px.png
Source9:        images/BaseX_128px.png
Source10:       images/BaseX_256px.png
Source11:       images/BaseX_512px.png
Source12:       images/BaseX.svg
Source13:       basex.desktop
Source14:       build.xml




BuildArch:      noarch

BuildRequires:  jpackage-utils

BuildRequires:  java-devel >= 1.6

BuildRequires:  ant










Requires:       jpackage-utils
Requires:       java >= 1.6
# Requires:       xml-commons-resolver = 1.2
# Requires:       lucene-contrib
# Requires:       jline
%if 0%{?suse_version} > 1000
Suggests:       xml-commons-resolver = 1.2
Suggests:       lucene-contrib
Suggests:       tagsoup
Suggests:       jline
%endif

%description
BaseX is a very fast and light-weight, yet powerful XML database and
XPath/XQuery processor, including support for the latest W3C Full Text and
Update Recommendations. It supports large XML instances and offers a highly
interactive front-end (basexgui). Apart from two local standalone modes, BaseX
offers a client/server architecture.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation/HTML
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
# mvn-rpmbuild install javadoc:aggregate -DskipTests
cp %{SOURCE14} ./build.xml
%ant -Dname=%{name} -Dversion=%{version}
%ant -Dname=%{name} -Dversion=%{version} javadoc

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/apidocs %{buildroot}%{_javadocdir}/%{name}

# desktop file
%{__install} -D -m 644 %{SOURCE13} %{buildroot}%{_datadir}/applications/%{name}.desktop

# manpages
%{__install} -d -m 0755 %{buildroot}%{_mandir}/man1/
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/basex.1
%{__install} -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/basexclient.1
%{__install} -D -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/basexserver.1
%{__install} -D -m 644 %{SOURCE4} %{buildroot}%{_mandir}/man1/basexgui.1

# icons
%{__install} -D -m 644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE6} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE7} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE8} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE9} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

# start scripts
%jpackage_script org.basex.BaseX       "-Xmx512m" "" %{name}:jline:tagsoup:xml-commons-resolver:lucene-contrib/analyzers:lucene-contrib/snowball basex       true
%jpackage_script org.basex.BaseXGUI    "-Xmx512m" "" %{name}:tagsoup:xml-commons-resolver:lucene-contrib/analyzers:lucene-contrib/snowball basexgui    true
%jpackage_script org.basex.BaseXServer "-Xmx512m" "" %{name}:jline:tagsoup:xml-commons-resolver:lucene-contrib/analyzers:lucene-contrib/snowball basexserver true
%jpackage_script org.basex.BaseXClient ""         "" %{name}:jline basexclient true

%__cat > %{buildroot}%{_bindir}/basexserverstop << EOF
#!/bin/sh
basexserver "\$@" stop
EOF

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%doc

# desktop file
%{_datadir}/applications/%{name}.desktop

# man pages
%{_mandir}/man1/basex.1*
%{_mandir}/man1/basexclient.1*
%{_mandir}/man1/basexserver.1*
%{_mandir}/man1/basexgui.1*

# icons
%{_datadir}/icons/hicolor

# start scripts
%attr(0755,root,root) %{_bindir}/basex
%attr(0755,root,root) %{_bindir}/basexclient
%attr(0755,root,root) %{_bindir}/basexgui
%attr(0755,root,root) %{_bindir}/basexserver
%attr(0755,root,root) %{_bindir}/basexserverstop


%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%post
# update mime-type associations
/usr/bin/update-desktop-database &> /dev/null || :

# touch to force icon cache update
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
# update mime-type associations
/usr/bin/update-desktop-database &> /dev/null || :

# touch to force icon cache update
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Sat Mar 24 2012 insane@fmi.uni-sofia.bg
- Updated to version 7.2
